Subject: bug#72735: 31.0.50; [PATCH] Make more bug-reference variables customizeable

From: Björn Bidar <[email-masked]>
Date: Tue, 11 Feb 2025 21:49:34 +0200

Stefan Kangas <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Tassilo Horn <[email-masked]>
>>> Cc: Björn Bidar <[email-masked]>,
>>>   [email-masked]
>>> Date: Wed, 21 Aug 2024 07:20:27 +0200
>>>
>>> As Eli already mentioned, bug-reference-url-format is usually set via a
>>> file local variables section or programatically so neither a defcustom
>>> nor a default value makes sense.
>>>
>>> Wrt. bug-reference-setup-from-mail-alist,
>>> bug-reference-setup-from-irc-alist, and
>>> bug-reference-setup-from-vc-alist: yes, they could be defcustoms but
>>> their entries can all (and are likely to) contain functions which are
>>> hard to specify in the defcustom interface.  I've thought it wouldn't be
>>> needed.  After all, bug-reference is a programmer's tool.

>>> Wrt. bug-reference-forge-alist: if it became a defcustom and a user
>>> would set it, she wouldn't see updates (like support for some new forge)
>>> in its default value anymore because their old saved custom value
>>> overrides the new default value.  It's much better to add new entries
>>> programatically using add-to-list or push/cl-pushnew.  Of course, one
>>> could split the variable in some *-default-alist defvar and a defcustom
>>> *-alist where the latter is meant for user customization but I think
>>> it's not worth the added complexity here.
>>>
>>> So I'd rather keep it as-is.
>>
>> Thanks.
>>
>> So, Björn, now you get to try to convince Tassilo that making some of
>> these variables defcustoms does make sense.  IOW, what are the
>> problems in the current situation that prompted you to suggest these
>> changes?
>
> No further comments within 24 weeks, so I'm closing this bug.

Sorry I didn't have time to work on this earlier I will reply to the
rest of comments now.